Apache JMeter

## org.apache.jorphan.reflect
Class ClassFinder

    java.lang.Object
      org.apache.jorphan.reflect.ClassFinder

    public final class ClassFinder

extends Object

This class finds classes that extend one of a set of parent classes

Method Summary
`static List<String>` `findAnnotatedClasses(String[] strPathsOrJars, Class<? extends Annotation>[] annotations)` Find classes in the provided path(s)/jar(s) that extend the class(es).
`static List<String>` `findAnnotatedClasses(String[] strPathsOrJars, Class<? extends Annotation>[] annotations, boolean innerClasses)` Find classes in the provided path(s)/jar(s) that extend the class(es).
`static List<String>` `findClassesThatExtend(String[] paths, Class<?>[] superClasses)` Convenience method for `findClassesThatExtend(String[], Class[], boolean)` with the option to include inner classes in the search set to false.
`static List<String>` `findClassesThatExtend(String[] strPathsOrJars, Class<?>[] superClasses, boolean innerClasses)` Find classes in the provided path(s)/jar(s) that extend the class(es).
`static List<String>` `findClassesThatExtend(String[] strPathsOrJars, Class<?>[] superClasses, boolean innerClasses, String contains, String notContains)` Find classes in the provided path(s)/jar(s) that extend the class(es).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findClassesThatExtend

    public static List<String> findClassesThatExtend(String[] paths,
                                                     Class<?>[] superClasses)
                                              throws IOException

  Convenience method for `findClassesThatExtend(String[], Class[], boolean)` with the option to include inner classes in the search set to false.

  Returns:
    List of Strings containing discovered class names.
  Throws:
    `IOException`

### findClassesThatExtend

    public static List<String> findClassesThatExtend(String[] strPathsOrJars,
                                                     Class<?>[] superClasses,
                                                     boolean innerClasses)
                                              throws IOException

  Find classes in the provided path(s)/jar(s) that extend the class(es).

  Parameters:
    `strPathsOrJars` - - pathnames or jarfiles to search for classes
    `superClasses` - - required parent class(es)
    `innerClasses` - - should we include inner classes?
  Returns:
    List containing discovered classes
  Throws:
    `IOException`

### findClassesThatExtend

    public static List<String> findClassesThatExtend(String[] strPathsOrJars,
                                                     Class<?>[] superClasses,
                                                     boolean innerClasses,
                                                     String contains,
                                                     String notContains)
                                              throws IOException

  Find classes in the provided path(s)/jar(s) that extend the class(es).

  Parameters:
    `strPathsOrJars` - - pathnames or jarfiles to search for classes
    `superClasses` - - required parent class(es)
    `innerClasses` - - should we include inner classes?
    `contains` - - classname should contain this string
    `notContains` - - classname should not contain this string
  Returns:
    List containing discovered classes
  Throws:
    `IOException`

### findAnnotatedClasses

    public static List<String> findAnnotatedClasses(String[] strPathsOrJars,
                                                    Class<? extends Annotation>[] annotations,
                                                    boolean innerClasses)
                                             throws IOException

  Find classes in the provided path(s)/jar(s) that extend the class(es).

  Parameters:
    `strPathsOrJars` - - pathnames or jarfiles to search for classes
    `annotations` - - required annotations
    `innerClasses` - - should we include inner classes?
  Returns:
    List containing discovered classes
  Throws:
    `IOException`

### findAnnotatedClasses

    public static List<String> findAnnotatedClasses(String[] strPathsOrJars,
                                                    Class<? extends Annotation>[] annotations)
                                             throws IOException

  Find classes in the provided path(s)/jar(s) that extend the class(es). Inner classes are not searched.

  Parameters:
    `strPathsOrJars` - - pathnames or jarfiles to search for classes
    `annotations` - - required annotations
  Returns:
    List containing discovered classes
  Throws:
    `IOException`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.